/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package sample;

import jp.terasoluna.fw.service.thin.BLogic;
import jp.terasoluna.fw.service.thin.BLogicResult;

/**
 * [XXXXX] [サンプル]ビジネスロジックのプロキシクラス。TERASOLUNAに依存する記述について、可能な限り このクラスに集約されています。
 */
public class XxxxxBLogicProxy implements BLogic<sample.XxxxxBLogicInput> {
    /**
     * ビジネスロジックのエントリポイント。
     *
     * @param input ビジネスロジックの入力。
     * @return TERASOLUNA で定められたビジネスロジックの出力。
     */
    public BLogicResult execute(final XxxxxBLogicInput input) {
        final BLogicResult result = new BLogicResult();

        // この箇所でコンパイルエラーが出る場合には、多くの場合 [XxxxxBLogicImpl] クラスが作成されていないことが原因と考えられます。
        final AbstractXxxxxBLogic impl = new XxxxxBLogicImpl();

        result.setResultObject(impl.execute(input));
        result.setResultString(impl.getResultString());
        return result;
    }
}
